Subject: Re: Sequoia build with KDBG

From: Olof Johansson <[email-masked]>
Date: Sat, 1 Mar 2008 09:57:54 -0600

On Sat, Mar 01, 2008 at 07:13:15AM -0600, Josh Boyer wrote:
> On Fri, 29 Feb 2008 23:02:50 -0600
> Olof Johansson <[email-masked]> wrote:
> 
> > On Fri, Feb 29, 2008 at 08:30:15PM -0600, Josh Boyer wrote:
> > 
> > > > poor man's debugging works fine if a serial port is available, but my 
> > > > Sequoia platform doesn't get that far!  I use u-boot to download and 
> > > > boot my image, and I don't get any serial output after the boot completes:
> > > 
> > > By "poking characters out the serial port" I meant I literally coded up
> > > assembly functions to setup MMU translations and poke hex values at hard
> > > coded addresses.  That's why it's "poor man's".  If you had a working
> > > serial port out of the box, that would be a luxury ;).
> > 
> > Does 4xx have support for udbg and xmon? That would be a good first step
> > in getting an in-kernel debugger facility going.
> 
> Yes.  Or at least it did as of a few kernel releases ago when I last
> tested it.  It's helpful for a number of thing, but debugging extremely
> early stuff isn't possible with it.

Right, most in-kernel debuggers will be useless for that, so I doubt kgdb will
help in those cases either.

-Olof